refwrap.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Maybe_get_result_type< _Functor, typename >
struct | std::_Maybe_unary_or_binary_function< _Res, _ArgTypes >
struct | std::_Maybe_unary_or_binary_function< _Res, _T1 >
struct | std::_Maybe_unary_or_binary_function< _Res, _T1, _T2 >
struct | std::_Reference_wrapper_base< _Tp >
struct | std::_Weak_result_type< _Functor >
struct | std::_Weak_result_type_impl< _Functor >
struct | std::_Weak_result_type_impl< _Res(*)(_ArgTypes...) _GLIBCXX_NOEXCEPT_QUAL >
struct | std::_Weak_result_type_impl< _Res(*)(_ArgTypes......) _GLIBCXX_NOEXCEPT_QUAL >
struct | std::_Weak_result_type_impl< _Res(_ArgTypes...) _GLIBCXX_NOEXCEPT_QUAL >
struct | std::_Weak_result_type_impl< _Res(_ArgTypes......) _GLIBCXX_NOEXCEPT_QUAL >
class | std::reference_wrapper< _Tp >

## Namespaces

| std

## Macros

#define | _GLIBCXX_MEM_FN_TRAITS(_REF, _LVAL, _RVAL)
#define | _GLIBCXX_MEM_FN_TRAITS2(_CV, _REF, _LVAL, _RVAL)

## Functions

template<typename _Tp >
void | std::cref (const _Tp &&)=delete
template<typename _Tp >
reference_wrapper< const _Tp > | std::cref (const _Tp &__t) noexcept
template<typename _Tp >
reference_wrapper< const _Tp > | std::cref (reference_wrapper< _Tp > __t) noexcept
template<typename _Tp >
reference_wrapper< _Tp > | std::ref (_Tp &__t) noexcept
template<typename _Tp >
void | std::ref (const _Tp &&)=delete
template<typename _Tp >
reference_wrapper< _Tp > | std::ref (reference_wrapper< _Tp > __t) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <functional>.

Definition in file refwrap.h.